Package org.jfree.layouting.layouter.style.resolver.computed.border

## Class BackgroundOriginResolveHandler

- java.lang.Object
- - org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler
  - - org.jfree.layouting.layouter.style.resolver.computed.ListOfConstantsResolveHandler
    - - org.jfree.layouting.layouter.style.resolver.computed.border.BackgroundOriginResolveHandler

- All Implemented Interfaces:
    `ResolveHandler`

      public class BackgroundOriginResolveHandler
      extends ListOfConstantsResolveHandler

  Creation-Date: 11.12.2005, 23:46:01
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BackgroundOriginResolveHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StyleKey[]` | `getRequiredStyles​()` | This indirectly defines the resolve order.
    `protected boolean` | `resolveItem​(LayoutProcess process, LayoutElement currentNode, StyleKey key, int index, CSSConstant item)` |

    - ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler

      `addNormalizeValue, addValue, getFallback, lookupValue, resolveValue, setFallback`

    - ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.ListOfConstantsResolveHandler

      `resolve, resolveInvalidItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackgroundOriginResolveHandler

          public BackgroundOriginResolveHandler​()

  - ### Method Detail

    - #### getRequiredStyles

          public StyleKey[] getRequiredStyles​()

      This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
      Specified by:
        `getRequiredStyles` in interface `ResolveHandler`
      Overrides:
        `getRequiredStyles` in class `ConstantsResolveHandler`
      Returns:

    - #### resolveItem

          protected boolean resolveItem​(LayoutProcess process,
                                        LayoutElement currentNode,
                                        StyleKey key,
                                        int index,
                                        CSSConstant item)

      Specified by:
        `resolveItem` in class `ListOfConstantsResolveHandler`